Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class QDate

    java.lang.Object
      |
      +--com.caucho.util.QDate

public class QDate
extends java.lang.Object

Resin Date object

Field Summary
`static int` | `DAY`
`static int` | `DAY_OF_MONTH`
`static int` | `DAY_OF_WEEK`
`static int` | `HOUR`
`static int` | `MILLISECOND`
`static int` | `MINUTE`
`static int` | `MONTH`
`static int` | `SECOND`
`static int` | `TIME`
`static int` | `TIME_ZONE`
`static int` | `YEAR`

Constructor Summary
`QDate()` Creates the native Object object

Method Summary
`long` | `calculate(long time, boolean isLocal)`
`java.lang.Object` | `clone()`
`static java.lang.String` | `format(long time)`
`static java.lang.String` | `format(long time, java.lang.String format)`
`java.lang.String` | `format(java.lang.String format)`
`static java.lang.String` | `formatLocal(long time)`
`static java.lang.String` | `formatLocal(long time, java.lang.String format)`
`long` | `get(int field)`
`int` | `getDayOfMonth()`
`int` | `getDayOfWeek()`
`int` | `getMonth()`
`long` | `getTime()`
`long` | `getYear()`
`long` | `getZoneOffset()`
`long` | `parseDate(java.lang.String string)`
`long` | `parseDateToGMT(java.lang.String string)`
`java.lang.String` | `printDate()`
`void` | `printDate(WriteStream os)`
`java.lang.String` | `printISO8601()`
`java.lang.String` | `printISO8601Date()`
`java.lang.String` | `printLocaleDate()`
`long` | `set(int field, long value)`
`long` | `setDate(long year, long month, long day)`
`long` | `setTime(long time)`
`long` | `setTime(long hour, long minute, long second, long ms)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### YEAR

    public static final int YEAR

### MONTH

    public static final int MONTH

### DAY_OF_MONTH

    public static final int DAY_OF_MONTH

### DAY

    public static final int DAY

### DAY_OF_WEEK

    public static final int DAY_OF_WEEK

### HOUR

    public static final int HOUR

### MINUTE

    public static final int MINUTE

### SECOND

    public static final int SECOND

### MILLISECOND

    public static final int MILLISECOND

### TIME

    public static final int TIME

### TIME_ZONE

    public static final int TIME_ZONE

Constructor Detail

### QDate

    public QDate()

  Creates the native Object object

Method Detail

### getZoneOffset

    public long getZoneOffset()

### printDate

    public java.lang.String printDate()

### printDate

    public void printDate(WriteStream os)
                   throws java.io.IOException

### printISO8601

    public java.lang.String printISO8601()

### printISO8601Date

    public java.lang.String printISO8601Date()

### format

    public static java.lang.String format(long time,
                                          java.lang.String format)

### format

    public static java.lang.String format(long time)

### formatLocal

    public static java.lang.String formatLocal(long time,
                                               java.lang.String format)

### formatLocal

    public static java.lang.String formatLocal(long time)

### format

    public java.lang.String format(java.lang.String format)

### printLocaleDate

    public java.lang.String printLocaleDate()

### parseDateToGMT

    public long parseDateToGMT(java.lang.String string)
                        throws java.lang.Exception

### parseDate

    public long parseDate(java.lang.String string)
                   throws java.lang.Exception

### calculate

    public long calculate(long time,
                          boolean isLocal)

### setTime

    public long setTime(long time)

### setDate

    public long setDate(long year,
                        long month,
                        long day)

### setTime

    public long setTime(long hour,
                        long minute,
                        long second,
                        long ms)

### getTime

    public long getTime()

### getYear

    public long getYear()

### getMonth

    public int getMonth()

### getDayOfMonth

    public int getDayOfMonth()

### getDayOfWeek

    public int getDayOfWeek()

### get

    public long get(int field)

### set

    public long set(int field,
                    long value)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD